#ifndef  CONTROL_H
#define  CONTROL_H
#include "roverType.h"
#include "listener.h"
#include "player.h"
#include "message.h"
#include "bag.h"
#include "deck.h"
#include "board.h"
#include "menu.h"


class CControl
{
private:
	CListener listener;
	CPlayer player[2];
	CMessage message;
	CMenu  menu;
	CBag bag;
	int turn;
	void initPlayGame();
	void initStartGame();
	void initEndGame();
	int doFormWord();
	int doSelectCard();
	int doSelectLetter();
	int doTrade();
	int doPickCard();
	int doDiscard();
	int doEndRound();
	int doCancel();
	void fillUpRack();
	int listenMenu();
	void showMessage(int msgID);
	void nextTurn();
public:
	void startGame();
	void playGame();
	void endGame();
	void show();
	CControl();
};


#endif