#include "cell.h"

CCell::CCell():CBlock(1)
{
	isOld=true;
}

void CCell::setStatus(bool beOld)
{
	isOld=beOld;
}

bool CCell::getStatus()
{
	return isOld;
}

void CCell::setNumber(int num, bool atBottom)
{
	int row=0;
	if (atBottom)
	{
		row=1;
	}
	if (num>9)
	{
		block[row][0].setValue(num/10+'0');
		block[row][1].setValue(num%10+'0');
	}
	else
	{
		block[row][1].setValue(num+'0');
	}
}

void CCell::setBKGAll(WORD theFont, WORD theBKG)
{
	for (int i=0; i<2; i++)
	{
		for (int j=0; j<2; j++)
		{
			block[i][j].setBKGroundColor(theBKG);
			block[i][j].setFontColor(theFont);
		}
	}
}